#include <bits/stdc++.h>

using namespace std;

string duplo(string s)
{
    int n=s.length();
    string pom="";
    for(int i=0;i<n;i++)
    {
        if(i==0 || s[i]!=s[i-1])pom+=s[i];
    }
    return pom;
}

static int has[11];

int main()
{
    string s;
    cin>>s;
    int n=s.length();
    for(int i=0;i<n;i++)
        has[s[i]]++;
    if(has['2']==0 && has['3']==0 && has['4']==0 && has['5']==0 && has['6']==0 && has['7']==0 && has['8']==0 && has['9']==0)
    {
        s=duplo(s);
        n=s.length();
        cout<<(n-1)/2;
    }
    else
    {
        cout<<n/5;
    }
    return 0;
}